Name:           ocaml-csv
Version:        1.2.3
Release:        %mkrel 5
Summary:        OCaml library for reading and writing CSV files

Group:          Development/OCaml
License:        LGPLv2+
URL:            http://csv.forge.ocamlcore.org/
Source0:        http://forge.ocamlcore.org/frs/download.php/978/csv-%{version}.tar.gz

BuildRequires:  ocaml-compiler >= 3.10.1
BuildRequires:  ocaml-findlib


%description
This OCaml library can read and write CSV files, including all
extensions used by Excel - eg. quotes, newlines, 8 bit characters in
fields, quote-0 etc.

The library comes with a handy command line tool called csvtool for
handling CSV files from shell scripts.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n csv-%{version}


%build
ocaml setup.ml -configure
ocaml setup.ml -build
strip _build/examples/csvtool.native

%check
ocaml setup.ml -test

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR
mkdir -p $OCAMLFIND_DESTDIR/site-lib/
mkdir -p $DESTDIR/%{_bindir}
ocaml setup.ml -install BINDIR=%{_bindir}
cp _build/examples/csvtool.native %{buildroot}/%{_bindir}/csvtool


%files
%doc README.txt AUTHORS.txt LICENSE.txt
%{_libdir}/ocaml/csv
%exclude %{_libdir}/ocaml/csv/*.a
%exclude %{_libdir}/ocaml/csv/*.cmxa
%exclude %{_libdir}/ocaml/csv/*.mli
%{_bindir}/csvtool


%files devel
%doc examples/
%doc tests/
%{_libdir}/ocaml/csv/*.a
%{_libdir}/ocaml/csv/*.cmxa
%{_libdir}/ocaml/csv/*.mli


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.3-5.mga3
+ Revision: 361257
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 malo <malo> 1.2.3-4.mga3
+ Revision: 323492
- rebuild for new ocaml
- change BuildRequires to ocaml-compiler

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.2.3-3.mga3
+ Revision: 301647
- new rpm group for ocaml
- new rpm group for ocaml

* Sat Aug 25 2012 blue_prawn <blue_prawn> 1.2.3-1.mga3
+ Revision: 283983
- updated to last version 1.2.3
- also include the files AUTHORS.txt and LICENSE.txt
- provide also examples/ and tests/ directories
- clean spec file along the mageia policy

* Sat Oct 22 2011 malo <malo> 1.2.2-2.mga2
+ Revision: 157423
- rebuild for OCaml 3.12.1

* Sun Sep 25 2011 shlomif <shlomif> 1.2.2-1.mga2
+ Revision: 147696
- New version - 1.2.2 - thanks to Malo.

* Sat Apr 30 2011 misc <misc> 1.1.7-4.mga1
+ Revision: 93951
- increase Release for upgrade from Mandriva

* Mon Mar 21 2011 saispo <saispo> 1.1.7-1.mga1
+ Revision: 75210
- Imported package ocaml-csv from Mandriva, where it has been imported from Fedora (by Florent Monnier) (revision 1.9).
  The initial Fedora RPM release was made by Richard W.M. Jones.

